Name:           clementine
Version:        0.5
Release:        1%{?dist}
Summary:        A music player and library organiser

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://code.google.com/p/clementine-player
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils liblastfm-devel taglib-devel gettext
BuildRequires:  qt4-devel boost-devel gcc-c++ glew-devel libgpod-devel
BuildRequires:  cmake gstreamer-devel gstreamer-plugins-base-devel
BuildRequires:  libimobiledevice-devel libplist-devel usbmuxd-devel
BuildRequires:  libmtp-devel

Requires:       libgpod

# There must be a better way to do this
%ifarch x86_64
%define archthing ()(64bit)
%endif

# GStreamer codec dependencies
Requires:       gstreamer-plugins-ugly
Requires:       gstreamer0.10(decoder-audio/x-vorbis)%{archthing}
Requires:       gstreamer0.10(decoder-audio/x-flac)%{archthing}
Requires:       gstreamer0.10(decoder-audio/x-speex)%{archthing}
Requires:       gstreamer0.10(decoder-audio/x-wav)%{archthing}

%description
Clementine is a modern music player and library organiser.
It is largely a port of Amarok 1.4, with some features rewritten to take
advantage of Qt4.

%prep
%setup -q


%build
cd bin
%{cmake} .. -DVISUALISATIONS_USE_INSTALL_PREFIX=OFF
make %{?_smp_mflags}

%install
cd bin
make install DESTDIR=$RPM_BUILD_ROOT

%clean
cd bin
make clean


%files
%defattr(-,root,root,-)
%doc
%{_bindir}/clementine
%{_datadir}/applications/clementine.desktop
%{_datadir}/icons/hicolor/64x64/apps/application-x-clementine.png
%{_datadir}/icons/hicolor/scalable/apps/application-x-clementine.svg
%{_datadir}/clementine/projectm-presets

%changelog
* Sun Sep 05 2010 David Sansome <me@davidsansome.com> - 0.5
- Version 0.5
